STRUCTS_TYPE_IP4(3)

NAME
structs_type_ip4 - structs types for IP addresses

LIBRARY
PDEL Library (libpdel, -lpdel)

SYNOPSIS
#include <sys/types.h>
#include <pdel/structs/structs.h>
#include <pdel/structs/type/ip4.h>
extern const struct structs_type structs_type_ip4;

DESCRIPTION
structs_type_ip4 is a structs(3) type for IP addresses. The represented data type is a struct in_addr.

IMPLEMENTATION NOTES
The ASCII string parser for this type is stricter than inet_aton(3). There must be four numbers, all within the range 0 - 255, separated by periods. Whitespace is allowed, but only at the beginning or the end of the string.

SEE ALSO
libpdel(3), structs(3), structs_type(3), structs_type_ip6(3)

HISTORY
The PDEL library was developed at Packet Design, LLC. http://www.packetdesign.com/

AUTHORS
Archie Cobbs <archie@packetdesign.com>